"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class UnparseableContent extends Error {
    constructor(content) {
        super(`Received unparseable reply from server: ${content}`);
    }
}
exports.UnparseableContent = UnparseableContent;
class UnknownReply extends Error {
    constructor(content) {
        super(`Cannot handle reply: ${content}`);
    }
}
exports.UnknownReply = UnknownReply;
class ServerError extends Error {
    constructor(error) {
        super(`Server Error - ${error.name}: ${error.message}`);
        if (error.stack)
            this.remoteErrorStack = error.stack;
    }
}
exports.ServerError = ServerError;
class ProcedureFailed extends Error {
    constructor(cause) {
        super(`Remote procedure failed with error - ${cause.name}: ${cause.message}`);
        this.causeStack = cause && cause.stack;
    }
}
exports.ProcedureFailed = ProcedureFailed;
class CallTerminated extends Error {
    constructor() {
        super('Call terminated upon client shutdown');
    }
}
exports.CallTerminated = CallTerminated;
