export interface SerializedError {
    message: string;
    name: string;
    stack?: string;
}
export interface WrappedError extends SerializedError {
    cause: SerializedError;
}
export declare class RpcServerError extends Error {
    constructor(message: string);
    readonly includeStack: boolean;
    toObject(): SerializedError;
}
export declare class NoSuchProcedure extends RpcServerError {
    constructor(procedure: string);
}
export declare class InvalidCall extends RpcServerError {
}
export declare class ProcedureFailed extends RpcServerError {
    cause: Error;
    constructor(err: Error);
    toObject(): WrappedError;
}
