"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Creates a new Promise, returns it and its callbacks.
 */
exports.newPromiseAndCallbacks = () => {
    // the noop business is because TypeScript doesn't know the callback is
    // invoked immediately, and the error-disabling comment isn't available in
    // 2.5.0
    const noop = () => { };
    let resolve = noop;
    let reject = noop;
    const promise = new Promise((res, rej) => {
        resolve = res;
        reject = rej;
    });
    return [promise, { resolve, reject }];
};
